VERSION 1.0
VERBOSE 1
NODE frutree picl
    NODE chassis fru
    	PROP ViewPoints string r 0 "front rear side"
	PROP SlotType string r 0 "chassis"
	PROP Label string r 0 "Blade"
    ENDNODE
ENDNODE
name:/frutree/chassis
NODE system-board fru
    PROP SlotType string r 0 "system-board"
    NODE cpu-slot location
	PROP SlotType string r 0 "cpu"
    	PROP Label string r 0 "CPU0"
    	PROP Slot uint r 4 0
    ENDNODE
    NODE fan-slot location
	PROP SlotType string r 0 "fan-unit"
    	PROP Label string r 0 "cpu-fan"
    	PROP Slot uint r 4 0
    ENDNODE
    NODE mem-slot location
	PROP SlotType string r 0 "memory-module"
    	PROP Slot uint r 4 0
    	PROP Label string r 0 "DIMM0"
    ENDNODE
    NODE mem-slot location
	PROP SlotType string r 0 "memory-module"
      	PROP Slot uint r 4 1
    	PROP Label string r 0 "DIMM1"
    ENDNODE
ENDNODE
name:/frutree/chassis/system-board/cpu-slot?Slot=0
REFNODE cpu-module fru WITH _class:/upa/cpu?ID=0 
name:/frutree/chassis/system-board
PROP FRUDataAvailable void r
REFPROP _seeprom_source name:/platform/pci/isa/bscbus/i2c/motherboard-fru
name:/frutree/chassis/system-board/mem-slot?Label=DIMM0
REFNODE mem-module fru WITH name:/platform/pci/pmu/i2c/dimm-fru-prom?UnitAddress=0,a8
name:/frutree/chassis/system-board/mem-slot?Label=DIMM1
REFNODE mem-module fru WITH name:/platform/pci/pmu/i2c/dimm-fru-prom?UnitAddress=0,aa
name:/platform/pci/pmu/i2c/dimm-fru-prom?UnitAddress=0,a8
REFPROP _fru_parent name:/frutree/chassis/system-board/mem-slot?Label=DIMM0/mem-module
name:/platform/pci/pmu/i2c/dimm-fru-prom?UnitAddress=0,aa
REFPROP _fru_parent name:/frutree/chassis/system-board/mem-slot?Label=DIMM1/mem-module
_class:cpu?ID=0
REFPROP _fru_parent /frutree/chassis/system-board/cpu-slot?Slot=0/cpu-module
name:/platform/memory-controller?portid=0
REFPROP _fru_parent /frutree/chassis/system-board/cpu-slot?Slot=0/cpu-module
name:/platform/pci/isa/bscbus/i2c/motherboard-fru
REFPROP _fru_parent /frutree/chassis/system-board
name:/platform
REFPROP _fru_parent /frutree/chassis/system-board
name:/platform/memory-controller/memory-module?ID=0
REFPROP _fru_parent name:/frutree/chassis/system-board/mem-slot?Label=DIMM0/mem-module
name:/platform/memory-controller/memory-module?ID=1
REFPROP _fru_parent name:/frutree/chassis/system-board/mem-slot?Label=DIMM1/mem-module
